Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup
Interface ISourcePathComputerDelegate

All Known Subinterfaces:
  ISourcePathComputer

public interface ISourcePathComputerDelegate

A source path computer delegate computes the default source lookup path (set of source containers that should be considered) for a launch configuration.

A source path computer is contributed in plug-in XML via the `sourcePathComputers` extension point, providing a delegate to compute the default source lookup path specific to a launch configuration.

Clients may implement this interface.

Since:
  3.0
See Also:
  `ISourcePathComputer`

Method Summary
`ISourceContainer[]` | `computeSourceContainers(ILaunchConfiguration configuration, IProgressMonitor monitor)` Returns a default collection source containers to be considered for the given launch configuration.

Method Detail

### computeSourceContainers

    public ISourceContainer[] computeSourceContainers(ILaunchConfiguration configuration,
                                                      IProgressMonitor monitor)
                                               throws CoreException

  Returns a default collection source containers to be considered for the given launch configuration. The collection returned represents the default source lookup path for the given configuration.

  Parameters:
    `configuration` - the launch configuration for which a default source lookup path is to be computed
    `monitor` - a progress monitor to be used in case of long operations
  Returns:
    a default collection source containers to be considered for the given launch configuration
  Throws:
    `CoreException` - if unable to compute a default source lookup path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.